# ETableExtras

## Name

ETableExtras --

## Synopsis

    #define     E_TABLE_EXTRAS_TYPE
    typedef     ETableExtras;
    ETableExtras* e_table_extras_new            (void);
    void        e_table_extras_add_cell         (ETableExtras *extras,
                                                 char *id,
                                                 ECell *cell);
    ECell*      e_table_extras_get_cell         (ETableExtras *extras,
                                                 char *id);
    void        e_table_extras_add_compare      (ETableExtras *extras,
                                                 char *id,
                                                 GCompareFunc compare);
    GCompareFunc e_table_extras_get_compare     (ETableExtras *extras,
                                                 char *id);
    void        e_table_extras_add_pixbuf       (ETableExtras *extras,
                                                 char *id,
                                                 GdkPixbuf *pixbuf);
    GdkPixbuf*  e_table_extras_get_pixbuf       (ETableExtras *extras,
                                                 char *id);

## Object Hierarchy

      GtkObject
       +----ETableExtras

## Description

## Details

### E_TABLE_EXTRAS_TYPE

    #define E_TABLE_EXTRAS_TYPE        (e_table_extras_get_type ())

### ETableExtras

    typedef struct {
    	GtkObject base;

    	GHashTable *cells;
    	GHashTable *compares;
    	GHashTable *pixbufs;
    } ETableExtras;

### e_table_extras_new ()

    ETableExtras* e_table_extras_new            (void);

Returns : |

### e_table_extras_add_cell ()

    void        e_table_extras_add_cell         (ETableExtras *extras,
                                                 char *id,
                                                 ECell *cell);

`extras` : |
`id` : |
`cell` : |

### e_table_extras_get_cell ()

    ECell*      e_table_extras_get_cell         (ETableExtras *extras,
                                                 char *id);

`extras` : |
`id` : |
Returns : |

### e_table_extras_add_compare ()

    void        e_table_extras_add_compare      (ETableExtras *extras,
                                                 char *id,
                                                 GCompareFunc compare);

`extras` : |
`id` : |
`compare` : |

### e_table_extras_get_compare ()

    GCompareFunc e_table_extras_get_compare     (ETableExtras *extras,
                                                 char *id);

`extras` : |
`id` : |
Returns : |

### e_table_extras_add_pixbuf ()

    void        e_table_extras_add_pixbuf       (ETableExtras *extras,
                                                 char *id,
                                                 GdkPixbuf *pixbuf);

`extras` : |
`id` : |
`pixbuf` : |

### e_table_extras_get_pixbuf ()

    GdkPixbuf*  e_table_extras_get_pixbuf       (ETableExtras *extras,
                                                 char *id);

`extras` : |
`id` : |
Returns : |